import { ElementRef, OnInit } from '@angular/core';
export declare class AtUploadComponent implements OnInit {
    constructor();
    fileEle: ElementRef;
    multiple: boolean;
    atType: string;
    preview: boolean;
    preview_image: any;
    private _files;
    files: any[];
    ngOnInit(): void;
    previewImage(i: any): void;
    triggerUpload(): void;
    fileChange(event: any): void;
    removeFile(index: number): void;
    dragFile(files: any): void;
    onChange: (value: any) => void;
    onTouched: () => void;
    registerOnChange(fn: (_: any) => {}): void;
    registerOnTouched(fn: () => {}): void;
    writeValue(value: any): void;
}
